Locations Operations - List
Returns the list of support REST operations.
GET https://management.azure.com/providers/Microsoft.Network.Admin/locations/{location}/operations?api-version=2015-06-15
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string |
Location of the resource. |
|
api-version
|
query | True |
string |
Client API Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
Security
azure_auth
Azure Active Directory OAuth2 flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Returns the list of support REST operations.
Sample request
GET https://management.azure.com/providers/Microsoft.Network.Admin/locations/westus/operations?api-version=2015-06-15
Sample response
{
"value": [],
"nextLink": ""
}
Definitions
| Name | Description |
|---|---|
| Display |
Contains the localized display information for this particular operation / action. |
| Operation |
Describes the supported REST operation. |
|
Operation |
List of Operations |
Display
Contains the localized display information for this particular operation / action.
| Name | Type | Description |
|---|---|---|
| description |
string |
The localized, friendly description for the operation. The description will be displayed to the user. It should be thorough and concise for used in both tooltips and detailed views. |
| operation |
string |
The localized, friendly name for the operation. Use the name as it will displayed to the user. |
| provider |
string |
The localized friendly form of the resource provider name – it is expected to also include the publisher/company responsible. It should use Title Casing and begin with "Microsoft" for 1st party services. e.g. "Microsoft Monitoring Insights" or "Microsoft Compute." |
| resource |
string |
The localized, friendly version of the resource type related to this action or operation; the resource type should match the public documentation for the resource provider. |
Operation
Describes the supported REST operation.
| Name | Type | Description |
|---|---|---|
| display |
Contains the localized display information for this particular operation / action. |
|
| name |
string |
The name of the operation being performed on this particular object. This name should match the name that appears in RBAC or the event service. |
OperationList
List of Operations
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
URI to the next page of operations. |
| value |
Array of operations |